Cancel Refund
Cancel a pending refund.
DELETE
https://api.zenpayz.com/merchant/api/v1/refund-intents/{refundId}Bearer · API key
Request
Path Parameters
| Parameter | Type | Description |
|---|---|---|
refundId REQUIRED | string | Refund ID |
Headers
| Header | Description |
|---|---|
Authorization REQUIRED | Bearer {api_key} |
X-Signature REQUIRED | HMAC-SHA256 signature |
X-Timestamp REQUIRED | ISO 8601 timestamp |
X-Secret-Salt REQUIRED | Secret salt for HMAC validation |
Response
Success (200 OK)
{
"success": true,
"data": {
"refundId": "refund_1774683026458_oann5ibjf",
"merchantId": "ZP_FIN_1774592804_0781001264",
"customerId": "cust_mn8yfewm_37ntht",
"transactionId": "txn_1774619159530_1_mn8yfmph_5iwb9b",
"paymentIntentId": "pi_1774619159530_66d8s8v25",
"amount": 30,
"originalAmount": 100,
"currency": "INR",
"refundType": "partial",
"status": "cancelled",
"tspProvider": "sulifu_pay",
"externalRefundId": null,
"reason": "Customer requested refund",
"createdAt": "2026-03-28T07:30:26.479Z",
"completedAt": null,
"failureReason": null,
"processingTimeMs": null
}
}
Error Responses
| Code | HTTP | Message |
|---|---|---|
| REFUND_NOT_CANCELLABLE | 400 | Refund cannot be cancelled |
| REFUND_NOT_FOUND | 404 | Refund doesn't exist |
Examples
- cURL
- SDK
curl -X DELETE "https://api.zenpayz.com/merchant/api/v1/refund-intents/ref_xxxxx" \
-H "Authorization: Bearer zp_test_xxxxx" \
-H "X-Timestamp: 2024-01-15T10:30:00.000Z" \
-H "X-Signature: a1b2c3d4e5f6..." \
-H "X-Secret-Salt: your_secret_salt"
await zenpays.refunds.cancel('ref_xxxxx');